function print_all(text)
    text = "[PeaceOff180M] " .. text
    for _, v in pairs(game.players) do v.print(text) end
end

function playSoundForPlayer(sound, player)
	player.surface.create_entity({name = sound, position = player.position});
end

function playSoundForAll(sound)
	for i, player in pairs(game.players) do
		if player.connected then
			playSoundForPlayer(sound, player);
		end
	end
end

script.on_event(defines.events.on_tick, function(event)
    if event.tick == 5 then
        print_all("You have 3 hours. Prepare yourself...")
        game.surfaces[1].peaceful_mode = true
        game.forces["enemy"].kill_all_units()
    elseif event.tick == 60 * 60 * 60 then print_all("Two hours remaining.")
    elseif event.tick == 60 * 60 * 120 then print_all("One hour remains.")
    elseif event.tick == 60 * 60 * 150 then print_all("Thirty minutes remain.")
    elseif event.tick == 60 * 60 * 165 then print_all("Fifteen minutes remain.")
    elseif event.tick == 60 * 60 * 170 then print_all("Ten minutes remain.")
    elseif event.tick == 60 * 60 * 175 then print_all("Final Warning: Five minutes remain.")
    elseif event.tick == 60 * 60 * 180 then
        print_all("CC: [evil laugh]")
        print_all("They awaken...")
        playSoundForAll("PeaceOff180MEvilLaugh")
        game.surfaces[1].peaceful_mode = false
        game.forces["enemy"].kill_all_units()
        script.on_event(defines.events.on_tick, nil)
    end
end)
